// ============================================================================
// BS Dropdowns
// ============================================================================

// Replace default dropdown toggle icon
.dropdown-toggle {
  &::after {
    border: none !important;
    content: var(--icon-theme-collapsed-vertical);
    font-family: var(--basics-frontend-iconfont-family);
    font-size: var(--icon-size-xs);
  }
}
.dropend {
  .dropdown-toggle::after {
    content: var(--icon-theme-collapsed-vertical);
    transform: rotate(-90deg);
  }
}

// ============================================================================
// Offcanvas (mobile nav)
// ============================================================================

.offcanvas {
  .search-form {
    flex-wrap: nowrap;
    .form-item {
      margin: 0;
    }
  }
}

// ============================================================================
// Custom
// ============================================================================

.scroll-top {
  --hover-area-gap: 0.5rem;
  position: fixed;
  bottom: 0;
  right: 0;
  padding: var(--hover-area-gap);
  z-index: 998;
  .current-breakpoint-is-larger-md & {
    --hover-area-gap: 1.5rem;
  }
  &__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: calc(var(--icon-size-lg) + 1rem);
    width: calc(var(--icon-size-lg) + 1rem);
    border-radius: 50%;
    transition-property: transform, background-color, color;
    transition-duration: 80ms;
    cursor: pointer;
    transform: translateY(calc(110% + var(--hover-area-gap)));
    transition-duration: 150ms;
    transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
    &:hover {
      transform: scale(1.1) translateY(0) !important;
    }
    // Show the scroll top button of the user scrolled 'beyond the fold' and is scrolling up again.
    .scrolled-up.scrolled-beyond-fold & {
      transform: translateY(0);
    }
  }
  &:hover {
    .scroll-top__btn {
      transform: translateY(0);
    }
  }
}
